import{s as Q,n as X,o as Y}from"../chunks/scheduler.c59d9fbb.js";import{S as Z,i as ee,g as d,s,r as H,A as te,h as m,f as t,c as o,j as M,u as z,x as A,k as F,y as c,a as l,v as I,d as O,t as k,w as S}from"../chunks/index.a47918e3.js";import{D as K}from"../chunks/Docstring.d4995a18.js";import{H as ae,E as ne}from"../chunks/EditOnGithub.813e7c73.js";function se(j){let i,T,$,w,u,y,n,f,V,b,G="Create templated examples for a reference dataset or reference labels.",N,g,R=`If <code>candidate_labels</code> is supplied, use it for generating the templates.
Otherwise, use the labels loaded from <code>reference_dataset</code>.`,U,x,B=`If input Dataset is supplied, add the examples to it, otherwise create a new Dataset.
The input Dataset is assumed to have a text column with the name <code>text_column</code> and a
label column with the name <code>label_column</code>, which contains one-hot or multi-hot
encoded label sequences.`,C,r,h,W,v,J="Samples a Dataset to create an equal number of samples per class (when possible).",q,_,E,D,P;return u=new ae({props:{title:"Utility Functions",local:"setfit.get_templated_dataset",headingTag:"h1"}}),f=new K({props:{name:"setfit.get_templated_dataset",anchor:"setfit.get_templated_dataset",parameters:[{name:"dataset",val:": Optional = None"},{name:"candidate_labels",val:": Optional = None"},{name:"reference_dataset",val:": Optional = None"},{name:"template",val:": str = 'This sentence is {}'"},{name:"sample_size",val:": int = 2"},{name:"text_column",val:": str = 'text'"},{name:"label_column",val:": str = 'label'"},{name:"multi_label",val:": bool = False"},{name:"label_names_column",val:": str = 'label_text'"}],parametersDescription:[{anchor:"setfit.get_templated_dataset.dataset",description:"<strong>dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014; A Dataset to add templated examples to.",name:"dataset"},{anchor:"setfit.get_templated_dataset.candidate_labels",description:`<strong>candidate_labels</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014; The list of candidate
labels to be fed into the template to construct examples.`,name:"candidate_labels"},{anchor:"setfit.get_templated_dataset.reference_dataset",description:`<strong>reference_dataset</strong> (<code>str</code>, <em>optional</em>) &#x2014; A dataset to take labels
from, if <code>candidate_labels</code> is not supplied.`,name:"reference_dataset"},{anchor:"setfit.get_templated_dataset.template",description:`<strong>template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This sentence is {}&quot;</code>) &#x2014; The template
used to turn each label into a synthetic training example. This template
must include a {} for the candidate label to be inserted into the template.
For example, the default template is &#x201C;This sentence is {}.&#x201D; With the
candidate label &#x201C;sports&#x201D;, this would produce an example
&#x201C;This sentence is sports&#x201D;.`,name:"template"},{anchor:"setfit.get_templated_dataset.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of examples to make for
each candidate label.`,name:"sample_size"},{anchor:"setfit.get_templated_dataset.text_column",description:`<strong>text_column</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;text&quot;</code>) &#x2014; The name of the column
containing the text of the examples.`,name:"text_column"},{anchor:"setfit.get_templated_dataset.label_column",description:`<strong>label_column</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;label&quot;</code>) &#x2014; The name of the column
in <code>dataset</code> containing the labels of the examples.`,name:"label_column"},{anchor:"setfit.get_templated_dataset.multi_label",description:`<strong>multi_label</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether or not multiple
candidate labels can be true.`,name:"multi_label"},{anchor:"setfit.get_templated_dataset.label_names_column",description:`<strong>label_names_column</strong> (<code>str</code>, <em>optional</em>, defaults to &#x201C;label_text&#x201D;) &#x2014; The name of the
label column in the <code>reference_dataset</code>, to be used in case there is no ClassLabel
feature for the label column.`,name:"label_names_column"}],source:"https://github.com/huggingface/setfit/blob/v1.1.0/src/setfit/data.py#L23",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A copy of the input Dataset with templated examples added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dataset</code></p>
`,raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>ValueError</code> — If the input Dataset is not empty and one or both of the
provided column names are missing.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>ValueError</code></p>
`}}),h=new K({props:{name:"setfit.sample_dataset",anchor:"setfit.sample_dataset",parameters:[{name:"dataset",val:": Dataset"},{name:"label_column",val:": str = 'label'"},{name:"num_samples",val:": int = 8"},{name:"seed",val:": int = 42"}],source:"https://github.com/huggingface/setfit/blob/v1.1.0/src/setfit/data.py#L146"}}),_=new ne({props:{source:"https://github.com/huggingface/setfit/blob/main/docs/source/en/reference/utility.mdx"}}),{c(){i=d("meta"),T=s(),$=d("p"),w=s(),H(u.$$.fragment),y=s(),n=d("div"),H(f.$$.fragment),V=s(),b=d("p"),b.textContent=G,N=s(),g=d("p"),g.innerHTML=R,U=s(),x=d("p"),x.innerHTML=B,C=s(),r=d("div"),H(h.$$.fragment),W=s(),v=d("p"),v.textContent=J,q=s(),H(_.$$.fragment),E=s(),D=d("p"),this.h()},l(e){const a=te("svelte-u9bgzb",document.head);i=m(a,"META",{name:!0,content:!0}),a.forEach(t),T=o(e),$=m(e,"P",{}),M($).forEach(t),w=o(e),z(u.$$.fragment,e),y=o(e),n=m(e,"DIV",{class:!0});var p=M(n);z(f.$$.fragment,p),V=o(p),b=m(p,"P",{"data-svelte-h":!0}),A(b)!=="svelte-1cgnucd"&&(b.textContent=G),N=o(p),g=m(p,"P",{"data-svelte-h":!0}),A(g)!=="svelte-1qfxemt"&&(g.innerHTML=R),U=o(p),x=m(p,"P",{"data-svelte-h":!0}),A(x)!=="svelte-vganoc"&&(x.innerHTML=B),p.forEach(t),C=o(e),r=m(e,"DIV",{class:!0});var L=M(r);z(h.$$.fragment,L),W=o(L),v=m(L,"P",{"data-svelte-h":!0}),A(v)!=="svelte-mhbctk"&&(v.textContent=J),L.forEach(t),q=o(e),z(_.$$.fragment,e),E=o(e),D=m(e,"P",{}),M(D).forEach(t),this.h()},h(){F(i,"name","hf:doc:metadata"),F(i,"content",oe),F(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),F(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){c(document.head,i),l(e,T,a),l(e,$,a),l(e,w,a),I(u,e,a),l(e,y,a),l(e,n,a),I(f,n,null),c(n,V),c(n,b),c(n,N),c(n,g),c(n,U),c(n,x),l(e,C,a),l(e,r,a),I(h,r,null),c(r,W),c(r,v),l(e,q,a),I(_,e,a),l(e,E,a),l(e,D,a),P=!0},p:X,i(e){P||(O(u.$$.fragment,e),O(f.$$.fragment,e),O(h.$$.fragment,e),O(_.$$.fragment,e),P=!0)},o(e){k(u.$$.fragment,e),k(f.$$.fragment,e),k(h.$$.fragment,e),k(_.$$.fragment,e),P=!1},d(e){e&&(t(T),t($),t(w),t(y),t(n),t(C),t(r),t(q),t(E),t(D)),t(i),S(u,e),S(f),S(h),S(_,e)}}}const oe='{"title":"Utility Functions","local":"setfit.get_templated_dataset","sections":[],"depth":1}';function le(j){return Y(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends Z{constructor(i){super(),ee(this,i,le,se,Q,{})}}export{ce as component};
